netsnmp_agent_request_info_s(3)

NAME
netsnmp_agent_request_info_s - The agent transaction request structure.

SYNOPSIS

#include <snmp_agent.h>

  Data Fields
int mode
netsnmp_agent_session_s * asp
pdu contains authinfo, eg
netsnmp_data_list * agent_data

Detailed Description

The agent transaction request structure.

Examples:

delayed_instance.c.

Definition at line 158 of file snmp_agent.h.

Field Documentation

  struct netsnmp_agent_session_s* netsnmp_agent_request_info_s::asp

pdu contains authinfo, eg

Definition at line 162 of file snmp_agent.h.

Referenced by get_set_cache(), handle_var_requests(), and netsnmp_create_delegated_cache().

Author

Generated automatically by Doxygen for net-snmp from the source code.